<?php

namespace App\Http\Controllers\Back;

use App\{
    Models\InvestPercent,
    Http\Requests\InvestPercentRequest,
    Http\Controllers\Controller
};

class InvestPercentController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:admin');
        $this->middleware('adminlocalize');
    }

    public function index()
    {
        return view('back.invest_percent.index',[
            'datas' => InvestPercent::orderBy('id','desc')->get()
        ]);
    }

    public function create()
    {
        return view('back.invest_percent.create');
    }

    public function store(InvestPercentRequest $request)
    {

        InvestPercent::create($request->all());
        return redirect()->route('back.invest_percent.index')->withSuccess(__('Data Added Successfully.'));
    }

    public function edit(InvestPercent $invest_percent)
    {
        return view('back.invest_percent.edit',compact('invest_percent'));
    }


    public function status($id,$status)
    {
        InvestPercent::find($id)->update(['status' => $status]);
        return redirect()->route('back.invest_percent.index')->withSuccess(__('Status Updated Successfully.'));
    }

    public function update(InvestPercentRequest $request, InvestPercent $invest_percent)
    {
        $invest_percent->update($request->all());
        return redirect()->route('back.invest_percent.index')->withSuccess(__('Data Updated Successfully.'));
    }

    public function destroy(InvestPercent $invest_percent)
    {
        $invest_percent->delete();
        return redirect()->route('back.invest_percent.index')->withSuccess(__('Data Deleted Successfully.'));
    }
}
