@extends('master.front')
@section('title')
    {{ __('Cart') }}
@endsection
@section('meta')
    <meta name="keywords" content="{{ $setting->meta_keywords }}">
    <meta name="description" content="{{ $setting->meta_description }}">
@endsection



@section('content')
    <!-- Page Title-->
    <div class="page-title">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <ul class="breadcrumbs">
                        <li><a href="{{ route('front.index') }}">{{ __('Home') }}</a> </li>
                        <li class="separator"></li>
                        <li>{{ __('Investment') }}</li>
                    </ul>
                </div>
            </div>
        </div>
    </div>


    <div class="container padding-bottom-3x mb-1">

        <!-- Shopping Cart-->
        <div id="view_cart_load">
            @php
                $cart = Session::has('cart') ? Session::get('cart') : [];
                $total = 0;
                $option_price = 0;
                $cartTotal = 0;

            @endphp
             <form  class="row" action="{{route('investment_cart', $item->id)}}" method="get" enctype="multipart/form-data">
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive shopping-cart investment-cart">

                        <table class="table table-bordered">

                            <thead>
                                <tr>
                                    <th>Product Name</th>
                                    <th>Product Price</th>
                                    <th class="text-center">Quantity</th>
                                    <th class="text-center">Subtotal</th>
                                    <th class="text-center">Duration</th>
                                    <th class="text-center">Profit <small>in %</small> </th>
                                    <th class="text-center">Grand Total</th>
                                </tr>
                            </thead>
                            <div class="showinvestment">
                            <tbody id="cart_view_load" data-target="#">

                                <tr>
                                    <td style="width: 20%">
                                        <div class="product-item">
                                            <a class="product-thumb" href="{{ route('front.product', $item['slug']) }}">
                                                <img src="{{ asset('assets/images/' . $item->photo) }}" alt="Product">
                                            </a>
                                            <div class="product-info">
                                                <h4 class="product-title">
                                                    <a href="{{ route('front.product', $item['slug']) }}">
                                                        {{ Str::limit($item['name'], 45) }}
                                                    </a>
                                                </h4>

                                            </div>
                                        </div>
                                        <input type="hidden" id="product-id" name="id" value="{{ $item->id }}">
                                        <input type="hidden" id="product-name" name="name" value="{{ $item->name }}">
                                    </td>
                                    <td class="text-center text-lg"> 
                                        <span>{{ PriceHelper::setCurrencyPrice($item->discount_price) }}</span>
                                        <input type="hidden" id="product-price" name="price" value="{{ $item->discount_price }}">
                                    </td>

                                    <td class="text-center">
                                        {{-- <div class="qtySelector product-quantity">
                                            <span class="decreaseQtyInvest cartsubclick" data-id="{{ $item->id }}" data-target="{{ $item->id }}"><i class="fas fa-minus"></i></span>
                                            <input type="text" disabled="" class="qtyValue cartcart-amount" value="1">
                                            <span class="increaseQtyInvest cartaddclick" data-id="{{ $item->id }}" data-target="{{ $item->id }}" data-item=""><i class="fas fa-plus"></i></span>
                                            <input type="hidden" value="3333" id="current_stock">
                                        </div>--}}
                                        <div class="input-group invest-product-qty">
                                            <!--<input type="button" value="-" class="button-minus" data-field="quantity">-->
                                            <input type="number" step="1" max="" value="1" name="quantity" id="invest-quantity" class="form-control quantity-field" style="padding-left: 15px">
                                            <!--<input type="button" value="+" class="button-plus" data-field="quantity">-->
                                        </div> 

                                    </td>
                                    <td class="text-center text-lg">
                                        <input type="text" name="sub_total" id="productPriceSubTotal" class="form-control" value="" readonly>
                                    </td>

                                    <td class="text-center">

                                        <select name="invest_month" class="form-control" id="selectDuration">
                                            <option value="">Select Duration</option>
                                            @foreach ($investPercents as $investPercent)
                                            <option value="{{ $investPercent->id }}" data-percent="{{ $investPercent->percent }}">{{ $investPercent->name }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td class="text-center text-lg">
                                        <input type="text" name="invest_percent" id="investPercent" class="form-control" readonly>
                                    </td>
                                    <td>
                                        
                                        <input type="text" name="grandtotal" id="grandTotal" class="form-control" value="" readonly>
                                    </td>
                                </tr>

                            </tbody>
                        </div>
                        </table>

                        
                    </div>
                    
                    
                    
                    
                    
                </div>
            </div>


            <div class="card mt-4">
                <div class="card-body">
                    {{-- <div class="shopping-cart-footer">
                        <div class="column">
                            <form class="coupon-form" method="post" id="coupon_form"
                                action="{{ route('front.promo.submit') }}">
                                @csrf
                                <input class="form-control form-control-sm" name="code" type="text"
                                    placeholder="{{ __('Coupon code') }}" required>
                                <button class="btn btn-primary btn-sm"
                                    type="submit"><span>{{ __('Apply Coupon') }}</span></button>
                            </form>
                        </div>

                        <div class="text-right text-lg column {{ Session::has('coupon') ? '' : 'd-none' }}"><span
                                class="text-muted">{{ __('Discount') }}
                                ({{ Session::has('coupon') ? Session::get('coupon')['code']['title'] : '' }}) :
                            </span><span
                                class="text-gray-dark">{{ PriceHelper::setCurrencyPrice(Session::has('coupon') ? Session::get('coupon')['discount'] : 0) }}</span>
                            <a class="remove-from-cart btn btn-danger btn-sm " href="{{ route('front.promo.destroy') }}"
                                data-toggle="tooltip" title="Remove item"><i class="icon-x"></i></a>
                        </div>

                        <div class="text-right column text-lg"><span class="text-muted">{{ __('Subtotal') }}:</span>
                            <span class="text-gray-dark">{{ PriceHelper::setCurrencyPrice($cartTotal - (Session::has('coupon') ? Session::get('coupon')['discount'] : 0)) }}</span>
                        </div>


                    </div> --}}
                    <div class="shopping-cart-footer">
                        <div class="column">
                            @if(!Auth::user())
                            <div class="btn btn-primary"><a href="{{route('user.login')}}"><span>{{ __('Please Login/Register') }}</span></a></div>
                            @else
                            <button type="submit" class="btn btn-primary"><span>{{ __('Submit') }}</span></button>
                            @endif
                            
                            
                        </div>
                    </div>
                </div>
            </div>
            </form>
        </div>

    </div>

    </div>

    

    <!-- Page Content-->

   
@endsection
@section('script')
  <script>
function incrementValue(e) {
  e.preventDefault();
  var fieldName = $(e.target).data('field');
  var parent = $(e.target).closest('div');
  var currentVal = parseInt(parent.find('input[name=' + fieldName + ']').val(), 10);
  let productPrice = document.getElementById("product-price").value;
  let investQuantity = document.getElementById("invest-quantity").value;
  let productSubtotal = productPrice * currentVal;
  let productSubtotals = Math.round(productSubtotal);
  document.getElementById('productPriceSubTotal').value=productSubtotals;

  if (!isNaN(currentVal)) {

    parent.find('input[name=' + fieldName + ']').val(currentVal + 1);
    
    
    document.getElementById('productPriceSubTotal').value=productSubtotals;

  } else {
    parent.find('input[name=' + fieldName + ']').val(0);
    //let productSubtotal = productPrice * currentVal;
    //document.getElementById('productPriceSubTotal').innerHTML=productPrice;
  }
}

function decrementValue(e) {
  e.preventDefault();
  var fieldName = $(e.target).data('field');
  var parent = $(e.target).closest('div');
  var currentVal = parseInt(parent.find('input[name=' + fieldName + ']').val(), 10);
  let productPrice = document.getElementById("product-price").value;
  let investQuantity = document.getElementById("invest-quantity").value;


  if (!isNaN(currentVal) && currentVal > 0) {
    parent.find('input[name=' + fieldName + ']').val(currentVal - 1);

    let productSubtotal = document.getElementById('productPriceSubTotal').value - productPrice;
    let productSubtotals = Math.round(productSubtotal);
    document.getElementById('productPriceSubTotal').value=productSubtotals;
  } else {
    parent.find('input[name=' + fieldName + ']').val(0);
  }
}

// $('.input-group').on('click', '.button-plus', function(e) {
//   incrementValue(e);
// });

// $('.input-group').on('click', '.button-minus', function(e) {
//   decrementValue(e);
// });






    $('#invest-quantity').on('change', function(e) {
    e.preventDefault();

    var newQuantity = parseInt($(this).val(), 10); // Get the new quantity value

    if (!isNaN(newQuantity) && newQuantity >= 0) {
        // Update the hidden input field if needed (optional)
        $('#invest-quantity').val(newQuantity);

        // Get product price and calculate subtotal
        var productPrice = parseFloat($('#product-price').val()); // Assuming product price is in decimal format
        var productSubtotal = productPrice * newQuantity;

        // Update subtotal field with rounded value
        $('#productPriceSubTotal').val(productSubtotal.toFixed(2));

        // Update other calculations or fields as needed
        calculateGrandTotal();
    } else {
        // Handle invalid input or negative values if necessary
        //alert('Please enter a valid quantity.');
        $('#invest-quantity').val(0); // Reset quantity to 1 or default value
    }
    
    
    
        // var selectedOption = $(this).find('option:selected');    
        // $('#investPercent').val(selectedOption[0].dataset.percent);
        
        // console.log($('#investPercent').val());
        
        let value1 = document.getElementById("investPercent").value;
        let value2 = document.getElementById('productPriceSubTotal').value;
        let value3 = (value2 * value1)/100;
        let grandTotal = (+value2) + (+value3);
        //alert(grandTotal);
        let grandTotals = Math.round(grandTotal);
        document.getElementById('grandTotal').value = grandTotals;
    
    
    
    
    
    
    
});
    
    
 function calculateGrandTotal() {
    var subtotal = parseFloat($('#productPriceSubTotal').val());
    $('#grandTotal').val(subtotal.toFixed(2));
}   
    
    
    
    
    
    
    
    
let productPrice = document.getElementById("product-price").value;
let productPrices = Math.round(productPrice);
document.getElementById('productPriceSubTotal').value = productPrices;

  </script>

  <script>
    $('#selectDuration').on('change', function() {
        var selectedOption = $(this).find('option:selected');    
        $('#investPercent').val(selectedOption[0].dataset.percent);
        let value1 = document.getElementById("investPercent").value;
        let value2 = document.getElementById('productPriceSubTotal').value;
        let value3 = (value2 * value1)/100;
        let grandTotal = (+value2) + (+value3);
        //alert(grandTotal);
        let grandTotals = Math.round(grandTotal);
        document.getElementById('grandTotal').value = grandTotals;
    });
  </script>
  {{-- <script>
    var investmyModal = document.getElementById("invest-myModal");
    var btn = document.getElementById("invest-btnm");
    var span = document.getElementsByClassName("close")[0];
    btn.onclick = function() {
        investmyModal.style.display = "block";
    }
    span.onclick = function() {
        investmyModal.style.display = "none";
    }
    window.onclick = function(event) {
    if (event.target == investmyModal) {
        investmyModal.style.display = "none";
    }
    }
</script> --}}
 
@endsection