@extends('master.front')

@section('title')
    {{__('Billing')}}
@endsection

@section('content')
    <!-- Page Title-->
<div class="page-title">
    <div class="container">
      <div class="column">
        <ul class="breadcrumbs">
          <li><a href="{{route('front.index')}}">{{__('Home')}}</a> </li>
          <li class="separator"></li>
          <li>{{__('Billing address')}}</li>
        </ul>
      </div>
    </div>
  </div>

  <!-- Page Content-->
  <div class="container padding-bottom-3x mb-1 checkut-page">
    <div class="row">
      <!-- Billing Adress-->
      <div class="col-xl-9 col-lg-8">
        
        <div class="card">
            <div class="card-body">
                <h6>{{__('Investment Billing')}}</h6>
                <form id="checkoutBilling" action="{{route('invest_store', $invest_cart->id)}}" method="POST">
                @csrf
                <div class="row">
                    <div class="col-sm-6">
                      <div class="form-group">
                        <label for="checkout-fn">{{__('Payment Method')}}</label>
                        <select name="payment_method" class="form-control" id="payment_method" onchange="paymentMethod(this);">
                            <option value="">Select Payment Method</option>
                            <option value="Bkash">Bkash</option>
                            <option value="Nagad">Nagad</option>
                            <option value="Bank">Bank</option>
                        </select>
                      </div>
                    </div>
                    <div id="bkash" class="col-sm-6">
                      <div class="form-group">
                        <label for="checkout-ln">{{__('Bkash number')}}</label>
                        <input class="form-control" name="bkash" type="text" placeholder="Enter bkash number">
                      </div>
                    </div>
                    <div id="nagad" class="col-sm-6">
                      <div class="form-group">
                        <label for="checkout-ln">{{__('Nagad number')}}</label>
                        <input class="form-control" name="nagad" type="text"  placeholder="Enter nagad number">
                      </div>
                    </div>
                    <div id="bank_name" class="col-sm-6">
                      <div class="form-group">
                        <label for="checkout-ln">{{__('Bank Name')}}</label>
                        <input class="form-control" name="bank_name" type="text"  placeholder="Enter bank name">
                      </div>
                    </div>
                    <div id="bank_account" class="col-sm-6">
                      <div class="form-group">
                        <label for="checkout-ln">{{__('Bank Account No.')}}</label>
                        <input class="form-control" name="account_no" type="text"  placeholder="Enter bank account number">
                      </div>
                    </div>
                    <div class="shopping-cart-footer">
                        <div class="column">
                            <button type="submit" class="btn btn-primary"><span>{{ __('Submit') }}</span></button>
                            
                        </div>
                    </div>
                  </div>
                
                </form>
            </div>
        </div>
      </div>
      <!-- Sidebar          -->
      <div class="col-xl-3 col-lg-4">
    <aside class="sidebar">
      <div class="padding-top-2x hidden-lg-up"></div>
      
      <section class="card widget widget-featured-posts widget-order-summary p-4">
            <h3 class="widget-title">{{__('Order Summary')}}</h3>
           
            

            <table class="table">
              <tr>
                <td>{{__('Imvestment Amount')}}:</td>
                <td class="text-gray-dark">{{$invest_cart->payable_amount}}</td>
              </tr>
              <tr>
                <td>{{__('Invest Month')}}:</td>
                <td class="text-gray-dark">{{$invest_cart->time_duration}} Month</td>
              </tr>
              <tr>
                <td>{{__('Profit (%)')}}:</td>
                <td class="text-gray-dark">{{$invest_cart->profit}}</td>
              </tr>
              
              <tr>
                <td>{{__('Total Amount With Profit')}}:</td>
                <td class="text-gray-dark">{{$invest_cart->receable_amount}}</td>
              </tr>
             

              
            
              
            </table>
          </section>
        
      <!-- Items in Cart Widget-->
      <section class="card widget widget-featured-posts widget-featured-products p-4">
        <h3 class="widget-title">{{__('Items In Your Invest')}}</h3>
      
       
     
        <div class="entry">
          <div class="entry-thumb"><a href="{{route('front.product',$item_info->slug)}}"><img src="{{asset('assets/images/'.$item_info->photo)}}" alt="Product"></a></div>
          <div class="entry-content">
            <h4 class="entry-title"><a href="{{route('front.product',$item_info->slug)}}">
                {{ Str::limit($invest_cart->item_name, 45) }}

            </a></h4>
            <span class="entry-meta">{{$invest_cart->item_qty}} x {{$invest_cart->item_price}}</span>
           
         </div>
        </div>
       

      </section>


    </aside>
  </div>
    </div>
  </div>
@endsection

@section('script')
  <script>
      function paymentMethod(that) {
        if (that.value == "Bkash")
        {
            document.getElementById("bkash").style.display = "block";
            document.getElementById("nagad").style.display = "none";
            document.getElementById("bank_name").style.display = "none";
            document.getElementById("bank_account").style.display = "none";
        } 
        else if(that.value == "Nagad")
        {
            document.getElementById("nagad").style.display = "block";
            document.getElementById("bkash").style.display = "none";
            document.getElementById("bank_name").style.display = "none";
            document.getElementById("bank_account").style.display = "none";
        }
        else if(that.value == "Bank")
        {
            document.getElementById("bank_name").style.display = "block";
            document.getElementById("bank_account").style.display = "block";
            document.getElementById("bkash").style.display = "none";
            document.getElementById("nagad").style.display = "none";
        }    
        
      }
  </script>    
@endsection
