@extends('master.front')
@section('title')
    {{__('Invoice')}}
@endsection
@section('content')

<!-- Page Title-->
<div class="page-title">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <ul class="breadcrumbs">
                    <li><a href="{{route('user.order.invest')}}">{{__('Investment')}}</a> </li>
                    <li class="separator"></li>
                    <li>{{__('Investment Details')}}</li>
                  </ul>
            </div>
        </div>
    </div>
  </div>
  
        <!-- Page Content-->
  <div class="container padding-bottom-3x mb-1 print_invoice">
    <div class="card card-body p-5">
                <div class="row">
                    <div class="col-lg-12">
                        <a href="{{route('user.order.invest')}}" class="btn btn-sm btn-primary d-inline-block"><span>{{__('Back')}}</span></a>
                    </div>
                </div> <!-- / .row -->
                <div class="row">
                  <div class="col text-center">

                    <!-- Logo -->
                    <img class="img-fluid mb-5 mh-70"  alt="Logo" src="{{asset('assets/images/'.$setting->logo)}}">

                  </div>
                </div> <!-- / .row -->
                <div class="row">
                  <div class="col-12">
                      <h5><b>{{__('Investment Details :')}}</b></h5>

                      <span class="text-muted">{{__('Investment Id :')}} </span>{{$invest->invest_number}}<br>
                      <span class="text-muted">{{__('Investment Date :')}} </span>{{$invest->created_at->format('j F, Y')}}<br>
                      <span class="text-muted">{{__('Payment Method :')}} </span>{{$invest->payment_method }}<br>
                      @if($invest->payment_method == 'Bkash')
                        <span class="text-muted">{{__('Bkash Number:')}}</span>
                        <div class="badge badge-success">
                            {{$invest->bkash }}
                        </div>
                        @endif
                        @if($invest->payment_method == 'Nagad')
                        <span class="text-muted">{{__('Nagad Number:')}}</span>
                        <div class="badge badge-success">
                            {{$invest->nagad }}
                        </div>
                        @endif
                        
                        @if($invest->payment_method == 'Bank')
                        <span class="text-muted">{{__('Bank Name:')}}</span>
                        <div class="badge badge-success">
                            {{$invest->bank_name }}
                        </div>
                        <br>
                        <span class="text-muted">{{__('Bank Account No.:')}}</span>
                        <div class="badge badge-success">
                            {{$invest->bank_account }}
                        </div>
                        @endif
                        <br>
                        
                        <span class="text-danger" style="font-wight: bold">{{__('Investment End Time:')}}
                        
                            @php
                                $date = $invest->created_at;
                                $date->modify('+2 months');
                                echo $date->format('j F, Y');
                            @endphp
                        </span>
                      <br>
                      <br>
                      </div>
              </div>
              <div class="row">
                  <div class="col-12 col-md-6">
                        <h5>{{__('Investment Address :')}}</h5>
                           
                            <span class="text-muted">{{__('Name')}}: </span>{{$user->first_name}} {{$user->last_name}}<br>
                            <span class="text-muted">{{__('Email')}}: </span>{{$user->email}}<br>
                            <span class="text-muted">{{__('Phone')}}: </span>{{$user->phone}}<br>
                            @if (isset($user->father_name))
                            <span class="text-muted">{{__('Father Name')}}: </span>{{$user->father_name}}<br>
                            @endif
                            @if (isset($user->mother_name))
                            <span class="text-muted">{{__('Mother Name')}}: </span>{{$user->mother_name}}<br>
                            @endif
                            @if (isset($user->birth_date))
                            <span class="text-muted">{{__('Date of Birth')}}: </span>{{$user->birth_date}}<br>
                            @endif
                            @if (isset($user->nid_no))
                            <span class="text-muted">{{__('NID NO.')}}: </span>{{$user->nid_no}}<br>
                            @endif
                            @if (isset($user->present_address))
                            <span class="text-muted">{{__('Present Address')}}: </span>{{$user->present_address}}<br>
                            @endif


                  </div>
                 
                </div>
              <div class="row">
                  <div class="col-12">

                  <!-- Table -->
                  <div class="gd-responsive-table">
                      <table class="table my-4">
                      <thead>
                          <tr>
                              <tr>
                                  <th width="50%" class="px-0 bg-transparent border-top-0">
                                      <span class="h6">{{__('Products')}}</span>
                                  </th>
                                  <th class="px-0 bg-transparent border-top-0">
                                      <span class="h6">{{__('Quantity')}}</span>
                                  </th>
                                  <th class="px-0 bg-transparent border-top-0 text-right">
                                      <span class="h6">{{__('Price')}}</span>
                                  </th>
                          </tr>
                          </tr>
                      </thead>
                      <tbody>
                          <tr>
                        <td class="">
                            {{ $invest->item_name}}
                            
                          </td>
                          <td class="">
                            {{$invest->item_qty}}
                            
                          </td>
                          <td class="">
                            {{$invest->item_price}}
                            
                          </td>
                          
                          
                          </tr>
                          
                          <tr>
                            <td class="padding-top-2x" colspan="5"></td>
                          </tr>
                          <tr>
                              <td class="px-0 border-top border-top-2">
                                <span class="text-muted">{{__('Total Amount')}}</span>
                              </td>
                              <td class="px-0 text-right border-top border-top-2" colspan="5">
                                  <span>
                                    {{$invest->payable_amount}}
                                  </span>
                              </td>
                          </tr>
                          <tr>
                              <td class="px-0 border-top border-top-2">
                                <span class="text-muted">{{__('Investment Duration')}}</span>
                              </td>
                              <td class="px-0 text-right border-top border-top-2" colspan="5">
                                  <span class="text-danger">
                                    {{$invest->time_duration}} Month
                                  </span>
                              </td>
                          </tr>
                          <tr>
                              <td class="px-0 border-top border-top-2">
                                <span class="text-muted">{{__('Profit (%)')}}</span>
                              </td>
                              <td class="px-0 text-right border-top border-top-2" colspan="5">
                                  <span>
                                  {{$invest->profit}}% 
                                  </span>
                              </td>
                          </tr>
                          <tr>
                              <td class="px-0 border-top border-top-2">
                                <span class="text-muted">{{__('Total amount with profit')}}</span>
                              </td>
                              <td class="px-0 text-right border-top border-top-2" colspan="5">
                                  <span>
                                  {{$invest->receable_amount}}
                                  </span>
                              </td>
                          </tr>
                      </tbody>
                      </table>
                  </div>
                  </div>
              </div> <!-- / .row -->
              </div>
  </div>

@endsection
